.TH "discover_error" 3 "28 Jul 2005" "discover" \" -*- nroff -*-
.ad l
.nh
.SH NAME
discover_error \- 
.SH SYNOPSIS
.br
.PP
\fC#include <discover.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBdiscover_error_code_t\fP \fBcode\fP"
.br
.ti -1c
.RI "char * \fBmessage\fP"
.br
.ti -1c
.RI "\fBdiscover_create_message_t\fP * \fBcreate_message\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
All functions that perform some action (as opposed to returning a member of a structure, for example) take an argument of this type. It is used to report that the action succeeded, or why it failed. 
.PP
Definition at line 106 of file discover.h.
.SH "Field Documentation"
.PP 
.SS "\fBdiscover_error_code_t\fP \fBdiscover_error::code\fP"
.PP
Return the error code value that is checked 
.PP
Definition at line 108 of file discover.h.
.PP
Referenced by _real_discover_conf_get_bus_map(), _real_discover_conf_get_bus_map_by_name(), discover_conf_append_url(), discover_conf_get_bus_map(), discover_conf_get_bus_map_by_name(), discover_conf_get_urls(), discover_conf_insert_url(), discover_conf_load(), discover_conf_name_to_bus(), discover_device_find(), discover_device_get_data(), discover_error_new(), discover_get_devices(), discover_strerror(), discover_xml_get_busclasses(), discover_xml_get_data_urls(), discover_xml_get_devices(), discover_xml_get_urls(), discover_xml_get_vendors(), discover_xml_merge_busclass_url(), discover_xml_merge_device_url(), discover_xml_merge_vendor_url(), and discover_xml_version_cmp().
.SS "\fBdiscover_create_message_t\fP* \fBdiscover_error::create_message\fP"
.PP
Function pointer into a routine to create a message for us 
.PP
Definition at line 112 of file discover.h.
.PP
Referenced by discover_conf_load(), discover_device_find(), and discover_error_new().
.SS "char* \fBdiscover_error::message\fP"
.PP
String containing the message from the last error 
.PP
Definition at line 110 of file discover.h.
.PP
Referenced by discover_error_free(), and discover_error_new().

.SH "Author"
.PP 
Generated automatically by Doxygen for discover from the source code.
